<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
	<!-- actors -->

  <xsl:template match="model/use-case/actors">
	  <xsl:apply-templates select="primary-actors" />
	  <xsl:apply-templates select="secondary-actors" />
  </xsl:template>
  
  <xsl:template match="model/use-case/actors/primary-actors">
	  <h3>Primary actors</h3>
	  <div class="indent">
		  <p>
			  <xsl:for-each select="actor">
				  <p class="actor"><xsl:value-of select="@name" /></p>
				  <xsl:if test="not(position() = last())"> , </xsl:if>
			  </xsl:for-each>
		  </p>
	  </div>
  </xsl:template>
  
  <xsl:template match="model/use-case/actors/secondary-actors">
	  <h3>Secondary actors</h3>
	  <div class="indent">
		  <p>
			  <xsl:for-each select="actor">
				  <p class="actor"><xsl:value-of select="@name" /></p>
				  <xsl:if test="not(position() = last())"> , </xsl:if>
			  </xsl:for-each>
		  </p>
		</div>
  </xsl:template>
  
  <xsl:template match="package/use-case/actors | segment/actors">
	  <xsl:apply-templates select="primary-actors" />
	  <xsl:apply-templates select="secondary-actors" />
  </xsl:template>
  
  <xsl:template match="package/use-case/actors/primary-actors | segment/actors/primary-actors">
	  <h4>Primary actors</h4>
	  <div class="indent">
		  <p>
			  <xsl:for-each select="actor">
				  <p class="actor"><xsl:value-of select="@name" /></p>
				  <xsl:if test="not(position() = last())"> , </xsl:if>
			  </xsl:for-each>
		  </p>
	 </div>
  </xsl:template>
  
  <xsl:template match="package/use-case/actors/secondary-actors | segment/actors/secondary-actors">
	  <h4>Secondary actors</h4>
	  <div class="indent">
		  <p>
			  <xsl:for-each select="actor">
				  <p class="actor"><xsl:value-of select="@name" /></p>
				  <xsl:if test="not(position() = last())"> , </xsl:if>
			  </xsl:for-each>
		  </p>
		</div>
  </xsl:template>
	
</xsl:stylesheet>
