<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
	
	<!-- packages -->

	<xsl:template match="model | package" mode="table_of_contents_packages">
		<xsl:if test="packages or use-case/packages">
			<li>
				<xsl:choose>
					<xsl:when test="packages"><a href="#{generate-id(packages)}">Packages</a></xsl:when>
					<xsl:otherwise>Packages</xsl:otherwise>
				</xsl:choose>
				<ul>
					<xsl:for-each select="packages/package">
						<li><a href="#{generate-id(.)}-header"><xsl:value-of select="@name" /></a></li>
					</xsl:for-each>
					<xsl:for-each select="use-case/packages/package">
						<li><a href="#{generate-id(.)}-header"><xsl:value-of select="@name" /></a></li>
					</xsl:for-each>
				</ul>
			</li>
		</xsl:if>
	</xsl:template>

	<xsl:template match="model/packages">
		<h2 id="{generate-id(.)}">Packages</h2>
		<xsl:apply-templates select="package" />
	</xsl:template>
	
	<xsl:template match="model/packages/package | use-case/packages/package">
		<h3 id="{generate-id(.)}-header" onclick="toggleTag('{generate-id(.)}')">Package : <xsl:value-of select="@name" /></h3>
		<div id="{generate-id(.)}" style="display:none" class="package">
			<xsl:apply-templates select="description" />
			<h4>Table of contents</h4>
			<ul class="contents">
				<xsl:apply-templates select="." mode="table_of_contents_packages" />
				<xsl:apply-templates select="." mode="table_of_contents_diagrams" />
				<xsl:apply-templates select="." mode="table_of_contents_interfaces" />
				<xsl:apply-templates select="." mode="table_of_contents_classes" />
				<xsl:apply-templates select="." mode="table_of_contents_functions" />
				<xsl:apply-templates select="." mode="table_of_contents_gui" />
				<xsl:apply-templates select="." mode="table_of_contents_use_case" />
				<xsl:apply-templates select="." mode="table_of_contents_test_procedures" />
				<xsl:apply-templates select="." mode="table_of_contents_test_scenatios" />
			</ul>
			<xsl:apply-templates select="packages" />
			<xsl:apply-templates select="diagrams" />
			<xsl:apply-templates select="classes" />
			<xsl:apply-templates select="functions" />
			<xsl:apply-templates select="gui" />
			<xsl:apply-templates select="use-case" />
			<xsl:apply-templates select="test-procedures" />
			<xsl:apply-templates select="test-scenarios" />
		</div>
	</xsl:template>
	
	<!-- inner package -->
	
	<xsl:template match="package/packages/package | package/use-case/packages/package | segment/packages/package">
		<h4 id="{generate-id(.)}-header" onclick="toggleTag('{generate-id(.)}')">Package : <xsl:value-of select="@name" /></h4>
		<div id="{generate-id(.)}" style="display:none" class="package">
			<xsl:apply-templates select="description" />
			<h4>Table of contents</h4>
			<ul class="contents">
				<xsl:apply-templates select="." mode="table_of_contents_packages" />
				<xsl:apply-templates select="." mode="table_of_contents_diagrams" />
				<xsl:apply-templates select="." mode="table_of_contents_interfaces" />
				<xsl:apply-templates select="." mode="table_of_contents_classes" />
				<xsl:apply-templates select="." mode="table_of_contents_functions" />
				<xsl:apply-templates select="." mode="table_of_contents_gui" />
				<xsl:apply-templates select="." mode="table_of_contents_use_case" />
				<xsl:apply-templates select="." mode="table_of_contents_test_procedures" />
				<xsl:apply-templates select="." mode="table_of_contents_test_scenatios" />
			</ul>
			<xsl:apply-templates select="packages" />
			<xsl:apply-templates select="diagrams" />
			<xsl:apply-templates select="classes" />
			<xsl:apply-templates select="functions" />
			<xsl:apply-templates select="gui" />
			<xsl:apply-templates select="use-case" />
			<xsl:apply-templates select="test-procedures" />
			<xsl:apply-templates select="test-scenarios" />
		</div>
	</xsl:template>
	
	<xsl:template match="package/packages | segment/packages">
		<h4 id="{generate-id(.)}">Packages</h4>
		<div class="level_of_model">
			<xsl:apply-templates select="package" />
		</div>
	</xsl:template>
		
	<xsl:template match="package/description">
		<h4>Description</h4>
		<p><xsl:apply-templates /></p>
	</xsl:template>
	
</xsl:stylesheet>
