<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
 
	<!-- html tags -->
	
	<!-- pre -->
	<xsl:template match="pre"><pre style="{@style}" class="{@class}"><xsl:apply-templates /></pre></xsl:template>
	<!-- br -->
	<xsl:template match="br"><br /></xsl:template>
	<!-- p -->
	<xsl:template match="p"><p style="{@style}" class="{@class}"><xsl:apply-templates /></p></xsl:template>
	<!-- em -->
	<xsl:template match="em"><em style="{@style}" class="{@class}"><xsl:apply-templates /></em></xsl:template>
	<!-- ol -->
	<xsl:template match="ol"><ol style="{@style}" class="{@class}"><xsl:apply-templates /></ol></xsl:template>
	<!-- ul -->
	<xsl:template match="ul"><ul style="{@style}" class="{@class}"><xsl:apply-templates /></ul></xsl:template>
	<!-- li -->
	<xsl:template match="li"><li style="{@style}" class="{@class}"><xsl:apply-templates /></li></xsl:template>
	<!-- dl -->
	<xsl:template match="dl"><dl style="{@style}" class="{@class}"><xsl:apply-templates /></dl></xsl:template>
	<!-- dt -->
	<xsl:template match="dt"><dt style="{@style}" class="{@class}"><xsl:apply-templates /></dt></xsl:template>
	<!-- dd -->
	<xsl:template match="dd"><dd style="{@style}" class="{@class}"><xsl:apply-templates /></dd></xsl:template>
	<!-- img -->
	<xsl:template match="img"><img style="{@style}" class="{@class}" src="{@src}" width="{@width}" height="{@height}" alt="{@alt}" /></xsl:template>
	<!-- table -->
	<xsl:template match="table"><table style="{@style}" class="{@class}"><xsl:apply-templates /></table></xsl:template>
	<!-- tr -->
	<xsl:template match="tr"><tr style="{@style}" class="{@class}"><xsl:apply-templates /></tr></xsl:template>
	<!-- th -->
	<xsl:template match="th"><th style="{@style}" class="{@class}" colspan="{@colspan}" rowspan="{@rowspan}"><xsl:apply-templates /></th></xsl:template>
	<!-- td -->
	<xsl:template match="td"><td style="{@style}" class="{@class}" colspan="{@colspan}" rowspan="{@rowspan}"><xsl:apply-templates /></td></xsl:template>
	<!-- div -->
	<xsl:template match="div"><div style="{@style}" class="{@class}"><xsl:apply-templates /></div></xsl:template>
	<!-- span -->
	<xsl:template match="span"><span style="{@style}" class="{@class}"><xsl:apply-templates /></span></xsl:template>
	<!-- a -->
	<xsl:template match="a"><a href="{@href}" style="{@style}" class="{@class}"><xsl:apply-templates /></a></xsl:template>
	
</xsl:stylesheet>
