<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
	
	<!-- alternative -->
	
  <xsl:template match="model/use-case/alternative">
	  <h3 onclick="toggleTag('{generate-id(.)}')">Alternative : <xsl:value-of select="@name" /></h3>
	  <div id="{generate-id(.)}" style="display:none" class="indent">
		  <xsl:apply-templates select="description" />
		  <xsl:apply-templates select="actors" />
		  <xsl:apply-templates select="preconditions" />
		  <xsl:apply-templates select="narrative" />
		  <xsl:apply-templates select="postconditions" />
	  </div>
  </xsl:template>
  
  <xsl:template match="package/use-case/alternative | segment/alternative">
  	  <h4 onclick="toggleTag('{generate-id(.)}')">Alternative : <xsl:value-of select="@name" /></h4>
	  <div id="{generate-id(.)}" style="display:none" class="indent">
		  <xsl:apply-templates select="description" />
		  <xsl:apply-templates select="actors" />
		  <xsl:apply-templates select="preconditions" />
		  <xsl:apply-templates select="narrative" />
		  <xsl:apply-templates select="postconditions" />
	  </div>
  </xsl:template>
  
  <xsl:template match="alternative/description">
      <h4>Description</h4>
	  <p><xsl:apply-templates /></p>
  </xsl:template>
  
  <xsl:template match="alternative/actors">
	  <xsl:apply-templates select="primary-actors" />
	  <xsl:apply-templates select="secondary-actors" />
  </xsl:template>
  
  <xsl:template match="alternative/actors/primary-actors">
	  <h4>Primary actors</h4>
	  <div class="indent">
		  <p>
			  <xsl:for-each select="actor">
				  <p class="actor"><xsl:value-of select="@name" /></p>
				  <xsl:if test="not(position() = last())"> , </xsl:if>
			  </xsl:for-each>
		  </p>
		</div>
  </xsl:template>
    
  <xsl:template match="alternative/actors/secondary-actors">
	  <h4>Secondary actors</h4>
	  <div class="indent">
		  <p>
			  <xsl:for-each select="actor">
				  <p class="actor"><xsl:value-of select="@name" /></p>
				  <xsl:if test="not(position() = last())"> , </xsl:if>
			  </xsl:for-each>
		  </p>
		</div>
  </xsl:template>
  
  <xsl:template match="alternative/preconditions">
	  <h4>Preconditions</h4>
	  <p><xsl:apply-templates /></p>
  </xsl:template>
  
  <xsl:template match="alternative/narrative">
	  <h4 onclick="toggleAlgorithm('{generate-id(.)}')">Narrative</h4>
	  <ol id="{generate-id(.)}" state="collapsed" class="algorithm">
		  <xsl:for-each select="../initiation">
			  <xsl:choose>
				  <xsl:when test="@when = 'instead'">
					  <li>The alternative scenario mey starts instead of the primary scenario</li>
				  </xsl:when>
				  <xsl:when test="@when = 'after_step'">
					  <li>The alternative scenario starts after <xsl:value-of select="@begin" /> step of the primary scenario</li>
				  </xsl:when>
				  <xsl:when test="@when = 'in_any_moment'">
					  <li>The alternative scenario mey starts in any moment during performing the primary scenario</li>
				  </xsl:when>
			  </xsl:choose>
		  </xsl:for-each>
		  <xsl:apply-templates />
		  <xsl:for-each select="../initiation">
			  <xsl:if test="@when = 'after_step'  and @end">
					<li>The alternative scenario backs on <xsl:value-of select="@end" /> step of the primary scenario</li>
			  </xsl:if>
		  </xsl:for-each>
	  </ol>
  </xsl:template>
  
  <xsl:template match="alternative/postconditions">
	  <h4>Postconditions</h4>
	  <p><xsl:apply-templates /></p>
  </xsl:template>
	
</xsl:stylesheet>
