<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
	
	<!-- diagrams -->
	
	<xsl:template match="model | package" mode="table_of_contents_diagrams">
		<xsl:if test="diagrams">
			<li>
				<a href="#{generate-id(diagrams)}">Diagrams</a>
				<ul>
					<xsl:for-each select="diagrams/diagram">
						<li>
							<xsl:choose>
								<xsl:when test="@id"><a href="#{@id}"><xsl:value-of select="@name" /></a></xsl:when>
								<xsl:otherwise><a href="#{generate-id(.)}"><xsl:value-of select="@name" /></a></xsl:otherwise>
							</xsl:choose>
						</li>
					</xsl:for-each>
				</ul>
			</li>
		</xsl:if>
	</xsl:template>

  <xsl:template match="model/diagrams">
    <h2 id="{generate-id(.)}">Diagrams</h2>
    <xsl:apply-templates select="diagram" />
  </xsl:template>
  
  <xsl:template match="model/diagrams/diagram">
    <h3 id="{generate-id(.)}"><xsl:value-of select="@name" /></h3>
    <img alt="{@name}" src="{@image}" />
  </xsl:template>
  	
  <xsl:template match="model/use-case/diagrams">
    <xsl:apply-templates select="diagram" />
  </xsl:template>

  <xsl:template match="model/use-case/diagrams/diagram">
	<xsl:choose>
		<xsl:when test="@id"><h3 id="{@id}"><xsl:value-of select="@name" /></h3></xsl:when>
		<xsl:otherwise><h3 id="{generate-id(.)}"><xsl:value-of select="@name" /></h3></xsl:otherwise>
	</xsl:choose>
    <img alt="{@name}" src="{@image}" />
  </xsl:template>
  
	<xsl:template match="package/diagrams | segment/diagrams">
		<h4 id="{generate-id(.)}">Diagrams</h4>
		<div class="level_of_model">
			<xsl:apply-templates select="diagram" />
		</div>
	</xsl:template>
	  
  <xsl:template match="package/diagrams/diagram | segment/diagrams/diagram">
	<xsl:choose>
		<xsl:when test="@id"><h4 id="{@id}">Diagram : <xsl:value-of select="@name" /></h4></xsl:when>
		<xsl:otherwise><h4 id="{generate-id(.)}">Diagram : <xsl:value-of select="@name" /></h4></xsl:otherwise>
	</xsl:choose>    
    <img alt="{@name}" src="{@image}" />
  </xsl:template>
  
  <xsl:template match="package/use-case/diagrams">
    <xsl:apply-templates select="diagram" />
  </xsl:template>

  <xsl:template match="package/use-case/diagrams/diagram">
	<xsl:choose>
		<xsl:when test="@id"><h4 id="{@id}">Diagram : <xsl:value-of select="@name" /></h4></xsl:when>
		<xsl:otherwise><h4 id="{generate-id(.)}">Diagram : <xsl:value-of select="@name" /></h4></xsl:otherwise>
	</xsl:choose>
    <img alt="{@name}" src="{@image}" />
  </xsl:template>
  
</xsl:stylesheet>
