<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
		
	<!-- test-scenarios -->
	
	<xsl:template match="model | package" mode="table_of_contents_test_scenatios">
		<xsl:if test="test-scenarios or use-case/test-scenarios/test-scenario">
			<li>
				<xsl:choose>
					<xsl:when test="test-scenarios"><a href="#{generate-id(test-scenarios)}">Test scenarios</a></xsl:when>
					<xsl:when test="use-case/test-scenarios/test-scenario">Test scenarios</xsl:when>
				</xsl:choose>
				<ul>
					<xsl:for-each select="test-scenarios/test-scenario">
						<li><a href="#{generate-id(.)}"><xsl:value-of select="@name" /></a></li>
					</xsl:for-each>
					<xsl:for-each select="use-case/test-scenarios/test-scenario">
						<li><a href="#{generate-id(.)}"><xsl:value-of select="@name" /></a></li>
					</xsl:for-each>
				</ul>
			</li>
		</xsl:if>
	</xsl:template>

	<xsl:template match="model/test-scenarios">
		<xsl:choose>
			<xsl:when test="count(test-scenario) > 1"><h2 id="{generate-id(.)}">Test scenarios</h2></xsl:when>
			<xsl:when test="count(test-scenario) = 1"><h2 id="{generate-id(.)}">Test scenario</h2></xsl:when>
		</xsl:choose>
		<xsl:apply-templates select="test-scenario" />
	</xsl:template>
	
  <xsl:template match="model/use-case/test-scenarios">
	<xsl:choose>
		<xsl:when test="count(test-scenario) > 1"><h3>Test scenarios</h3></xsl:when>
		<xsl:when test="count(test-scenario) = 1"><h3>Test scenario</h3></xsl:when>
	</xsl:choose>
    <xsl:apply-templates select="test-scenario" />
  </xsl:template>
    
	<xsl:template match="package/test-scenarios | package/use-case/test-scenarios | segment/test-scenarios">
		<xsl:choose>
			<xsl:when test="count(test-scenario) > 1"><h4 id="{generate-id(.)}">Test scenarios</h4></xsl:when>
			<xsl:when test="count(test-scenario) = 1"><h4 id="{generate-id(.)}">Test scenario</h4></xsl:when>
		</xsl:choose>
		<div class="level_of_model">
			<xsl:apply-templates select="test-scenario" />
		</div>
	</xsl:template>
		
    <xsl:template match="test-scenarios/test-scenario">
	<table class="test-scenario">
		<caption id="{generate-id(.)}"><xsl:value-of select="@name" /></caption>
		<thead>
			<tr>
				<th>#</th>
				<th>Action</th>
				<th>Expected results</th>
			</tr>
		</thead>
		<tbody>
			<xsl:apply-templates select="test-step" />
		</tbody>
	</table>
  </xsl:template>
    
  <xsl:template match="test-step">
		<tr>
			<td><xsl:value-of select="position()" /></td>
			<td><xsl:apply-templates select="test-action" /></td>
			<td><xsl:apply-templates select="expected-results" /></td>
		</tr>
  </xsl:template>
  
  <xsl:template match="test-action">
	  <xsl:apply-templates />
  </xsl:template>
  
  <xsl:template match="expected-results">
	  <xsl:apply-templates />
  </xsl:template>
  
</xsl:stylesheet>
