<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="/">
		<html xmlns="http://www.w3.org/1999/xhtml">
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<title><xsl:value-of select="project/name" /> project</title>
				<link rel="stylesheet" type="text/css" href=".blueprint/css/project.css" />
				<link rel="stylesheet" type="text/css" href=".blueprint/css/common/anchors.css" />
				<script type="text/javascript" src=".blueprint/js/project.js"></script>
			</head>
			<body onload="load()">
				<div id="main">
					<div id="content">
						<h1><xsl:value-of select="project/name" />  project blueprint</h1>
						<div id="hide">
							<input type="button" onclick="hide()" value="Hide" title="hide panel" />
						</div>
						<h2 onclick="toggleDocumentList()">Documents</h2>
						<ul id="documentList" state="collapsed">
							<xsl:apply-templates select="project/." />
						</ul>
					</div>
					<div id="doc">
						<iframe scrolling="auto" frameborder="0" id="frame" />
					</div>
				</div>			
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="project/name"></xsl:template>
	
	<xsl:template match="package">
		<li><a href="javascript:toggleList('{generate-id(.)}')" title="{@name} package"><xsl:value-of select="@name" /></a>
			<ul id="{generate-id(.)}" class="package">
				<xsl:apply-templates />
			</ul>
		</li>
	</xsl:template>
	
	<xsl:param name="out" as="xs:string" select="'memory'" />
	
	<xsl:template match="document">
		<xsl:choose>
			<xsl:when test="$out = 'file'">
				<li><a href="javascript:loadPage('{@page}')" title="{@page}"><xsl:value-of select=" @name" /></a></li>
			</xsl:when>
			<xsl:otherwise>
				<li><a href="javascript:loadPage('{@file}')" title="{@file}"><xsl:value-of select=" @name" /></a></li>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
