<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
  <xsl:output method="html" encoding="UTF-8" indent="yes"/>
  <xsl:include href="common/htmlSubset.xslt" />
  <xsl:include href="common/algorithm.xslt" />
  <xsl:include href="research/packages.xslt" />
  <xsl:include href="research/diagrams.xslt" />
  <xsl:include href="common/diagrams.xslt" />
  <xsl:include href="research/gui.xslt" />
  <xsl:include href="common/types.xslt" />
  <xsl:include href="research/classes.xslt" />
  <xsl:include href="common/classes.xslt" />
  <xsl:include href="research/functions.xslt" />
  <xsl:include href="common/functions.xslt" />
  <xsl:include href="research/testScenarios.xslt" />
  <xsl:include href="research/researches.xslt" />
  
  <xsl:param name="out" as="xs:string" select="'memory'" />
  
  <xsl:template match="research">
<html>
  <head>
    <title>Research</title>
	<link rel="stylesheet" type="text/css" href=".blueprint/css/common/table_of_contents.css" />
	<link rel="stylesheet" type="text/css" href=".blueprint/css/common/anchors.css" />
	<link rel="stylesheet" type="text/css" href=".blueprint/css/common/test_scenario.css" />
	<link rel="stylesheet" type="text/css" href=".blueprint/css/common/aspects.css" />
    <link rel="stylesheet" type="text/css" href=".blueprint/css/common/researches.css" />
    <link rel="stylesheet" type="text/css" href=".blueprint/css/research.css" />
    <xsl:for-each select="stylesheet-link">
		<link rel="stylesheet" type="text/css" href="{@href}" />
    </xsl:for-each>
    <script type="text/javascript" src=".blueprint/js/tag_behaviour.js"></script>
    <script type="text/javascript" src=".blueprint/js/research.js"></script>
  </head>
  <body>
    <h1>Research : <xsl:value-of select="@name" /></h1>
    <xsl:apply-templates select="problem" />
    <xsl:apply-templates select="solution" />
  </body>
</html>
  </xsl:template>
  
  <xsl:template match="problem">
	  <h3>Problem</h3>
	  <p><xsl:apply-templates /></p>
  </xsl:template>
  
  <xsl:template match="solution">
        <h1 class="solution">Solution</h1>
		<xsl:apply-templates select="description" />
		<h3>Table of contents</h3>
		<ul class="contents">
			<xsl:apply-templates select="." mode="table_of_contents_researches" />
			<xsl:apply-templates select="." mode="table_of_contents_packages" />
			<xsl:apply-templates select="." mode="table_of_contents_diagrams" />
			<xsl:apply-templates select="." mode="table_of_contents_gui" />
			<xsl:apply-templates select="." mode="table_of_contents_interfaces" />
			<xsl:apply-templates select="." mode="table_of_contents_classes" />
			<xsl:apply-templates select="." mode="table_of_contents_functions" />
			<xsl:apply-templates select="." mode="table_of_contents_test_procedures" />
			<xsl:apply-templates select="." mode="table_of_contents_test_scenatios" />
		</ul>
		<xsl:apply-templates select="researches" />
		<xsl:apply-templates select="packages" />
		<xsl:apply-templates select="diagrams" />
		<xsl:apply-templates select="gui" />
		<xsl:apply-templates select="classes" />
		<xsl:apply-templates select="functions" />
		<xsl:apply-templates select="test-procedures" />
		<xsl:apply-templates select="test-scenarios" />	  
  </xsl:template>

  <xsl:template match="solution/description">
    <h3>Description</h3>
    <p><xsl:apply-templates /></p>
  </xsl:template> 

</xsl:stylesheet>
