<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />

	<!-- classes -->
	
	<xsl:template match="architecture/interface">
		<xsl:choose>
			<xsl:when test="@id"><h3 id="{@id}" onclick="toggleTag('{generate-id(.)}')">Interface : <xsl:value-of select="@name" /></h3></xsl:when>
			<xsl:otherwise><h3 id="{generate-id(.)}-header" onclick="toggleTag('{generate-id(.)}')">Interface : <xsl:value-of select="@name" /></h3></xsl:otherwise>
		</xsl:choose>		
		<div id="{generate-id(.)}" style="display:none" class="classes">
			<xsl:apply-templates select="description" />
			<xsl:apply-templates select="definition" />
			<xsl:if test="responsibility">
				<xsl:choose>
					<xsl:when test="count(responsibility) = 1"><h4>Responsibility</h4></xsl:when>
					<xsl:otherwise><h4>Responsibilities</h4></xsl:otherwise>
				</xsl:choose>
				<ul class="responsibilities">
					<xsl:apply-templates select="responsibility" />
				</ul>
			</xsl:if>
			<xsl:if test="implementation">
				<xsl:choose>
					<xsl:when test="count(implementation) = 1"><h4>Implements interface</h4></xsl:when>
					<xsl:otherwise>Implements interfaces</xsl:otherwise>
				</xsl:choose>
				<ul class="implementations">
					<xsl:apply-templates select="implementation" />
				</ul>
			</xsl:if>
			<xsl:apply-templates select="parameterized-types" />
			<xsl:if test="method">
				<h4>Methods</h4>
				<ul>
					<xsl:apply-templates select="method" />
				</ul>
			</xsl:if>
			<xsl:apply-templates select="diagrams" />
		</div>
	</xsl:template>

	<xsl:template match="architecture/class">
		<xsl:choose>
			<xsl:when test="@id"><h3 id="{@id}" onclick="toggleTag('{generate-id(.)}')">Class : <xsl:value-of select="@name" /></h3></xsl:when>
			<xsl:otherwise><h3 id="{generate-id(.)}-header" onclick="toggleTag('{generate-id(.)}')">Class : <xsl:value-of select="@name" /></h3></xsl:otherwise>
		</xsl:choose>		
		<div id="{generate-id(.)}" style="display : none" class="classes">
			<xsl:apply-templates select="description" />
			<xsl:apply-templates select="definition" />
			<xsl:if test="responsibility">
				<xsl:choose>
					<xsl:when test="count(responsibility) = 1"><h4>Responsibility</h4></xsl:when>
					<xsl:otherwise><h4>Responsibilities</h4></xsl:otherwise>
				</xsl:choose>
				<ul>
					<xsl:apply-templates select="responsibility" />
				</ul>
			</xsl:if>
			<xsl:if test="superclass">
				<xsl:choose>
					<xsl:when test="count(superclass) > 1"><h4>Extends classes</h4></xsl:when>
					<xsl:otherwise><h4>Extends class</h4></xsl:otherwise>
				</xsl:choose>
				<ul>
					<xsl:apply-templates select="superclass" />
				</ul>
			</xsl:if>
			<xsl:if test="implementation">
				<xsl:choose>
					<xsl:when test="count(implementation) = 1"><h4>Implements interface</h4></xsl:when>
					<xsl:otherwise>Implements interfaces</xsl:otherwise>
				</xsl:choose>
				<ul>
					<xsl:apply-templates select="implementation" />
				</ul>
			</xsl:if>
			<xsl:apply-templates select="parameterized-types" />
			<xsl:apply-templates select="feature" />
			<xsl:apply-templates select="attributes" />
			<xsl:apply-templates select="operations" />
			<xsl:apply-templates select="static" />
			<xsl:apply-templates select="thread" />
			<xsl:apply-templates select="diagrams" />
			<xsl:apply-templates select="test-procedures/test-procedure" />
		</div>
	</xsl:template>
	
	<xsl:template match="package/interface">
		<xsl:apply-templates select="." mode="inner_interface" />
	</xsl:template>	
	
	<xsl:template match="package/class">
		<xsl:apply-templates select="." mode="inner_class" />
	</xsl:template>	
	
</xsl:stylesheet>
