<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />
	
	<!-- segment -->
  
  <xsl:template match="model/use-case/segment">
		<h3 onclick="toggleTag('{generate-id(.)}')">Segment extends <xsl:value-of select="@extension-point" />  extension point</h3>
		<div id="{generate-id(.)}" style="display:none" class="indent">
			<xsl:apply-templates select="description" />
			<xsl:apply-templates select="actors" />
			<xsl:apply-templates select="preconditions" />
			<xsl:apply-templates select="narrative" />
			<xsl:apply-templates select="postconditions" />
			<xsl:apply-templates select="alternative" />
			<xsl:apply-templates select="segment" />
			<xsl:apply-templates select="packages" />
			<xsl:apply-templates select="classes" />
			<xsl:apply-templates select="functions" />
			<xsl:apply-templates select="thread" />
			<xsl:apply-templates select="test-procedures" />
			<xsl:apply-templates select="test-thread" />
			<xsl:apply-templates select="artifacts" />
			<xsl:apply-templates select="gui/screen" />
			<xsl:apply-templates select="test-scenarios" />
			<xsl:apply-templates select="diagrams" />
		</div>
  </xsl:template>
  
  <xsl:template match="package/use-case/segment | package/packages/package/use-case/segment | segment/segment">
		<h4 onclick="toggleTag('{generate-id(.)}')">Segment extends <xsl:value-of select="@extension-point" />  extension point</h4>
		<div id="{generate-id(.)}" style="display:none" class="indent">
			<xsl:apply-templates select="description" />
			<xsl:apply-templates select="actors" />
			<xsl:apply-templates select="preconditions" />
			<xsl:apply-templates select="narrative" />
			<xsl:apply-templates select="postconditions" />
			<xsl:apply-templates select="alternative" />
			<xsl:apply-templates select="segment" />
			<xsl:apply-templates select="packages" />
			<xsl:apply-templates select="classes" />
			<xsl:apply-templates select="functions" />
			<xsl:apply-templates select="thread" />
			<xsl:apply-templates select="test-procedures" />
			<xsl:apply-templates select="test-thread" />
			<xsl:apply-templates select="artifacts" />
			<xsl:apply-templates select="gui/screen" />
			<xsl:apply-templates select="test-scenarios" />
			<xsl:apply-templates select="diagrams" />
		</div>
  </xsl:template>
  
  <xsl:template match="segment/description">
    <h4>Description</h4>
    <p><xsl:apply-templates /></p>
  </xsl:template>
  
  <xsl:template match="segment/preconditions">
    <h4>Preconditions</h4>
    <p><xsl:apply-templates /></p>
  </xsl:template>
  
  <xsl:template match="segment/narrative">
	<h4 onclick="toggleAlgorithm('{generate-id(.)}')">Narrative</h4>
	<ol id="{generate-id(.)}" state="collapsed" class="algorithm"><xsl:apply-templates /></ol>
  </xsl:template>
  
  <xsl:template match="segment/postconditions">
    <h4>Postconditions</h4>
    <p><xsl:apply-templates /></p>
  </xsl:template>
  
  <xsl:template match="segment/thread">
  	<xsl:choose>
		<xsl:when test="@id">
			<h4 id="{@id}" onclick="toggleAlgorithm('{generate-id(.)}')">Thread
				<xsl:if test="@name">
					: <xsl:value-of select="@name" />
				</xsl:if>
				<xsl:if test="@description">
					( <xsl:value-of select="@description" /> )
				</xsl:if>
			</h4>
		</xsl:when>
		<xsl:otherwise>
			<h4 onclick="toggleAlgorithm('{generate-id(.)}')">Thread
				<xsl:if test="@name">
					: <xsl:value-of select="@name" />
				</xsl:if>
				<xsl:if test="@description">
					( <xsl:value-of select="@description" /> )
				</xsl:if>
			</h4>
		</xsl:otherwise>
	</xsl:choose>
    <ol id="{generate-id(.)}" state="collapsed" class="algorithm"><xsl:apply-templates /></ol>
  </xsl:template>
	
  <xsl:template match="segment/test-thread">
    <h4 onclick="toggleAlgorithm('{generate-id(.)}')">Test thread</h4>
    <ol id="{generate-id(.)}" state="collapsed" class="algorithm"><xsl:apply-templates /></ol>
  </xsl:template>

  <xsl:template match="segment/artifacts">
    <h4>Artifacts</h4>
    <xsl:choose>
		<xsl:when test="artifact">
			<ul class="artifacts"><xsl:apply-templates /></ul>
		</xsl:when>
		<xsl:otherwise>
			<pre><xsl:apply-templates /></pre>
		</xsl:otherwise>
	</xsl:choose>
  </xsl:template>
    
</xsl:stylesheet>
